package com.prolog.cs.biz.outbound.model.vo;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel
public class WaveStorageVO implements Serializable {
    private static final long serialVersionUID = -8671026305360360487L;
    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "仓库id")
    @Column(value = "warehouse_id")
    private String warehouseId;

    @ApiModelProperty(value = "波次id")
    private String waveId;

    @ApiModelProperty(value = "订单id")
    private String billId;

    @ApiModelProperty(value = "订单编码")
    private String billCode;

    @ApiModelProperty(value = "波次订单明细id")
    private String billDId;

    @ApiModelProperty(value = "库位id")
    private String locatorId;

    @ApiModelProperty(value = "库位类型（0：整件:1：散件/2：整散合一）")
    private String locatorType;

    @ApiModelProperty(value = "批次id")
    private String batchId;


    @ApiModelProperty(value = "批次号")
    private String batchNum;

    @ApiModelProperty(value = "数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "批号")
    private String lotNo;

    @ApiModelProperty(value = "库区编码")
    @Column(value = "warehouse_area_code")
    private String warehouseAreaCode;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    @ApiModelProperty(value = "商品名称")
    private String itemName;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getBillDId() {
        return billDId;
    }

    public void setBillDId(String billDId) {
        this.billDId = billDId;
    }

    public String getLocatorId() {
        return locatorId;
    }

    public void setLocatorId(String locatorId) {
        this.locatorId = locatorId;
    }

    public String getLocatorType() {
        return locatorType;
    }

    public void setLocatorType(String locatorType) {
        this.locatorType = locatorType;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }


    public String getWarehouseAreaCode() {
        return warehouseAreaCode;
    }

    public void setWarehouseAreaCode(String warehouseAreaCode) {
        this.warehouseAreaCode = warehouseAreaCode;
    }

}
